Task-Worker Pairing Configs are used to configure the behavior of tasks in the CRM. A TWPC is used to define the rules for how tasks are assigned to agents (i.e., workers).
In order to configure a TWPC you need to understand the contents of task and worker objects. See the List Unterminated Task endpoint and the List Workers endpoint for more details.
List the task-worker pairing configs for a company.
Security
oauth2(Required scopes: twpc:list) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/companies/{companyId}/task-worker-pairing-configs?sortBy=-priority&limit=25&startingAfter=string&endingBefore=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "count": 0, "status": 0, "data": [ { … } ] }